"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const react_usestateref_1 = __importDefault(require("react-usestateref"));
const defaultState = {
    isDone: false,
    isLoading: false,
};
function useIndicators() {
    const [state, setObject, stateRef] = (0, react_usestateref_1.default)(defaultState);
    function resetIndicators() {
        setIndicators(defaultState);
    }
    function setIndicators(data) {
        setObject((statePrev) => (Object.assign(Object.assign({}, statePrev), data)));
    }
    return (0, react_1.useMemo)(() => ({
        state,
        stateRef,
        set: setIndicators,
        reset: resetIndicators,
    }), [state]);
}
exports.default = useIndicators;
//# sourceMappingURL=useIndicators.js.map